# Method: projects.locations.phraseSets.patch

- [HTTP request](https://docs.cloud.google.com/speech-to-text/docs/reference/rest/v1/projects.locations.phraseSets/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/speech-to-text/docs/reference/rest/v1/projects.locations.phraseSets/patch#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/speech-to-text/docs/reference/rest/v1/projects.locations.phraseSets/patch#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/speech-to-text/docs/reference/rest/v1/projects.locations.phraseSets/patch#body.request_body)
- [Response body](https://docs.cloud.google.com/speech-to-text/docs/reference/rest/v1/projects.locations.phraseSets/patch#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/speech-to-text/docs/reference/rest/v1/projects.locations.phraseSets/patch#body.aspect)

Update a phrase set.

### HTTP request

`PATCH https://speech.googleapis.com/v1/{phraseSet.name=projects/*/locations/*/phraseSets/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `phraseSet.name` | `string` The resource name of the phrase set. |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` The list of fields to be updated. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/speech-to-text/docs/reference/rest/v1/projects.locations.phraseSets#PhraseSet`.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/speech-to-text/docs/reference/rest/v1/projects.locations.phraseSets#PhraseSet`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).